cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
351
Views
0
Helpful
4
Replies
Highlighted
Beginner

http secure-server getting enabled

I have an engineer that upgrade  few switches in the past 8 months. However, I am looking over a switch, and it has 'ip http secure-server' now enabled, and this was not a standard deployment config.

 

In addition, I found out that the .tar file was used, which from my research includes all the web/UI components. Has anyone seen the tar file enable the Web UI after upgrade?

 

c2960x switches

15.2(4).E6

 

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
VIP Mentor

Re: http secure-server getting enabled

There are a couple of things to note here :

 

1.the model you referring come with HTTP GUI config by default, (this can be enabled or disabled - based on requirement)

 

https://www.cisco.com/c/en/us/td/docs/switches/lan/catalyst2960xr/hardware/quick/guide/b_gsg_2960xr.html

 

2. If this was configured and left as it is, so the feature enabled and upgrade to new version not have any effect on your current config.

 

 

Hope to make sense?

BB
*** Rate All Helpful Responses ***

View solution in original post

4 REPLIES 4
Highlighted
VIP Mentor

Re: http secure-server getting enabled

if it installed Archieve upgrade for GUI facility to configure the device over Web Gui

 

If this is not standard and security reason you can disable with no ip http ...

BB
*** Rate All Helpful Responses ***
Highlighted
Beginner

Re: http secure-server getting enabled

@balaji.bandi

Thank you for you answer; however, I am not sure I fully understand. Are you saying that if a particular version and/or track was installed, it would enable the web features? I did turn the feature off; however, I do not believe the junior engineer would even know of this feature. Due to the latter, I want to make sure the http does not get enabled after upgrades.

 

Thank you

Highlighted
VIP Mentor

Re: http secure-server getting enabled

There are a couple of things to note here :

 

1.the model you referring come with HTTP GUI config by default, (this can be enabled or disabled - based on requirement)

 

https://www.cisco.com/c/en/us/td/docs/switches/lan/catalyst2960xr/hardware/quick/guide/b_gsg_2960xr.html

 

2. If this was configured and left as it is, so the feature enabled and upgrade to new version not have any effect on your current config.

 

 

Hope to make sense?

BB
*** Rate All Helpful Responses ***

View solution in original post

Highlighted
Beginner

Re: http secure-server getting enabled

@balaji.bandi

I understand now and I appreciate your time.

 

I will dig around on the switches, since a few different engineers deployed the units in a stack configuration. I know from my experience, I had the HTTP gui turned off; however, I was the only one who used the .bin file to upgrade. The other teams used the .tar file for some odd reason. I am not sure why they selected the .tar file; however, it is what is it.

 

Thank you. I am going to mark the thread as solved.

 

 

 

CreatePlease to create content
Content for Community-Ad